Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ShellRunner

- org.codehaus.groovy.tools.shell.ShellRunner

- All Implemented Interfaces and Traits:
    Runnable

      abstract class ShellRunner

  Support for running a Shell.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Logger` | `log` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `breakOnNull`
    `Closure` | `errorHandler`
    `boolean` | `running`
    `Shell` | `shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ShellRunner (Shell shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `readLine()`
    `` | `void` | `run()`
    `` | `protected boolean` | `work()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final Logger log

  - ### Property Detail

    - #### boolean breakOnNull

    - #### Closure errorHandler

    - #### boolean running

    - #### final Shell shell

  - ### Constructor Detail

    - #### protected ShellRunner(Shell shell)

  - ### Method Detail

    - #### protected String readLine()

    - #### @Override void run()

    - #### protected boolean work()